---
layout: default
title: Home
nav_order: 1
---
# RESTful Robots
{: .fs-9 }

This is the documentation for the development and usage of the REST API created for UXA90-Light robots.
{: .fs-6 }

# Overview
The UXA-90 Robots were unusable in storage at Kennesaw State University since they were purchased in 2016. With just factory manuals and poorly translated documentation and little to no resources online, it was clear an investigation was needed to determine how to use the robots safely.

A risk assessment was conducted, and this team created a certification program to ensure the safety of the individuals and the robots. A website was created to host the documentation of the assessment and certification for ease of access. After all students working on the robots were certified, all teams were given the greenlight to begin work.

To increase the accessibility of the robots, our team developed a React native mobile app integrated with a custom REST API. This API has full control of the robot via ROS 2.0, replacing the old and outdated software.

See the tab on the side for navigation.

To view our C-Day submissions, click [here](dev/presentation).


# Our Team
{: .mb-5 }

<div class="col-lg-4 col-md-6 col-sm-12 mb-4">
  <div class="profile-card bg-white shadow mb-4 text-center rounded-lg p-4 position-relative h-100">
    <div class="profile-card_image">
      <img src="/red-site/assets/images/derek.jpg" alt="Derek" class="mb-4 shadow">
    </div>
    <div class="profile-card_details">
      <h3 class="mb-0">
        Derek Comella
      </h3>
      <p class="text-muted">
        derek@comella.net
      </p>
      <p class="text-muted">
        Graduating December 2022. Looking for a fulltime software developer position, willing to relocate.
      </p>
    </div>
  </div>
</div>
<div class="col-lg-4 col-md-6 col-sm-12 mb-4">
  <div class="profile-card bg-white shadow mb-4 text-center rounded-lg p-4 position-relative h-100">
    <div class="profile-card_image">
      <img src="/red-site/assets/images/andrew.png" alt="Andrew" class="mb-4 shadow">
    </div>
    <div class="profile-card_details">
      <h3 class="mb-0">
        Andrew Loveless
      </h3>
      <p class="text-muted">
        andrew@andrewloveless.net
      </p>
      <p class="text-muted">
        Graduating May 2023. Currently employed.
      </p>
    </div>
  </div>
</div>
<div class="col-lg-4 col-md-6 col-sm-12 mb-4">
  <div class="profile-card bg-white shadow mb-4 text-center rounded-lg p-4 position-relative h-100">
    <div class="profile-card_image">
      <img src="/red-site/assets/images/sarah.png" alt="Sarah" class="mb-4 shadow">
    </div>
    <div class="profile-card_details">
      <h3 class="mb-0">
        Sarah Thomas
      </h3>
      <p class="text-muted">
	stkt3219@gmail.com
      </p>
      <p class="text-muted">
	Graduating December 2022. Looking for a fulltime Front End Developer position.
      </p>
    </div>
  </div>
</div>
<div class="col-lg-4 col-md-6 col-sm-12 mb-4">
  <div class="profile-card bg-white shadow mb-4 text-center rounded-lg p-4 position-relative h-100">
    <div class="profile-card_image">
      <img src="/red-site/assets/images/jack.png" alt="Jack" class="mb-4 shadow">
    </div>
    <div class="profile-card_details">
      <h3 class="mb-0">
        Jack Young
      </h3>
      <p class="text-muted">
        jackyoung@jacaro.dev
      </p>
      <p class="text-muted">
        Graduating December 2022. Looking for a fulltime software developer position.
      </p>
    </div>
  </div>
</div>
